#!/bin/zsh

echo "Creating extended VSTAudioEngine diagnostics listings...\n"

exec 3>&1 >/dev/null
exec 2>&1 >/dev/null

rm -fr ~/Desktop/VAEDiagnosticsReport.zip
rm -fr /tmp/VAEDiagnostics
mkdir /tmp/VAEDiagnostics

find /Library/Audio/Plug-ins/VST -name \*.vst -ls > /tmp/VAEDiagnostics/VST2.txt
find /Library/Audio/Plug-ins/VST3 -name \*.vst3 -ls > /tmp/VAEDiagnostics/VST3.txt

find /Library/Application\ Support/Steinberg/Components -d -depth 1 -ls > /tmp/VAEDiagnostics/SMTGComponents.txt

find /Library/Application\ Support/Steinberg/Content -ls > /tmp/VAEDiagnostics/SMTGContents.txt

cd /tmp
zip -r ~/Desktop/VAEDiagnosticsReport.zip ./VAEDiagnostics
rm -fr /tmp/VAEDiagnostics
exec >&3
exec >&1

echo "Done, wrote VAEDiagnosticsReport.zip to your Desktop"
